.\"
.\" SNMP backend man page for CUPS.
.\"
.\" Copyright 2012-2014 by Apple Inc.
.\"
.\" These coded instructions, statements, and computer programs are the
.\" property of Apple Inc. and are protected by Federal copyright
.\" law.  Distribution and use rights are outlined in the file "LICENSE.txt"
.\" which should have been included with this file.  If this file is
.\" file is missing or damaged, see the license at "http://www.cups.org/".
.\"
.TH cups-snmp 8 "CUPS" "10 June 2014" "Apple Inc."
.SH NAME
snmp \- cups snmp backend
.SH SYNOPSIS
.B /usr/lib/cups/backend/snmp
.I ip-address-or-hostname
.br
.B /usr/libexec/cups/backend/snmp
.I ip-address-or-hostname
.br
.B lpinfo
.B \-v
.B \-\-include-schemes
snmp
.SH DESCRIPTION
The CUPS SNMP backend provides legacy discovery and identification of network printers using SNMPv1.
When used for discovery through the scheduler, the backend will list all printers that respond to a broadcast SNMPv1 query with the "public" community name.
Additional queries are then sent to printers that respond in order to determine the correct device URI, make and model, and other information needed for printing.
.LP
In the first form, the SNMP backend is run directly by the user to look up the device URI and other information when you have an IP address or hostname.
This can be used for programs that need to configure print queues where the user has supplied an address but nothing else.
.LP
In the second form, the SNMP backend is run indirectly using the
.BR lpinfo (8)
command.
The output provides all printers detected via SNMP on the configured
broadcast addresses.
\fINote: no broadcast addresses are configured by default.\fR
.SH ENVIRONMENT
The DebugLevel value can be overridden using the CUPS_DEBUG_LEVEL environment variable.
The MaxRunTime value can be overridden using the CUPS_MAX_RUN_TIME environment variable.
.SH FILES
The SNMP backend reads the \fI/etc/cups/snmp.conf\fR configuration file, if
present, to set the default broadcast address, community name, and logging
level.
.SH CONFORMING TO
The CUPS SNMP backend uses the information from the Host, Printer, and Port Monitor MIBs along with some vendor private MIBs and intelligent port probes to determine the correct device URI and make and model for each printer.
.SH SEE ALSO
.BR backend (7),
.BR cups-snmp.conf (5),
.BR cupsd (8),
.BR lpinfo (8),
CUPS Online Help (http://localhost:631/help)
.SH COPYRIGHT
Copyright \[co] 2007-2017 by Apple Inc.
