.\"
.\" cupsd man page for CUPS.
.\"
.\" Copyright 2007-2016 by Apple Inc.
.\" Copyright 1997-2006 by Easy Software Products.
.\"
.\" These coded instructions, statements, and computer programs are the
.\" property of Apple Inc. and are protected by Federal copyright
.\" law.  Distribution and use rights are outlined in the file "LICENSE.txt"
.\" which should have been included with this file.  If this file is
.\" file is missing or damaged, see the license at "http://www.cups.org/".
.\"
.TH cupsd 8 "CUPS" "12 February 2016" "Apple Inc."
.SH NAME
cupsd \- cups scheduler
.SH SYNOPSIS
.B cupsd
[
.B \-c
.I cupsd.conf
] [
.B \-f
] [
.B \-F
] [
.B \-h
] [
.B \-l
] [
.B \-s
.I cups-files.conf
] [
.B \-t
]
.SH DESCRIPTION
.B cupsd
is the scheduler for CUPS. It implements a printing system based upon the Internet Printing Protocol, version 2.1, and supports most of the requirements for IPP Everywhere. If no options are specified on the command-line then the default configuration file
.I /etc/cups/cupsd.conf
will be used.
.SH OPTIONS
.TP 5
.BI \-c \ cupsd.conf
Uses the named cupsd.conf configuration file.
.TP 5
.B \-f
Run
.B cupsd
in the foreground; the default is to run in the background as a "daemon".
.TP 5
.B \-F
Run
.B cupsd
in the foreground but detach the process from the controlling terminal and current directory. This is useful for running
.B cupsd
from
.BR init (8).
.TP 5
.B \-h
Shows the program usage.
.TP 5
.B \-l
This option is passed to
.B cupsd
when it is run from
.BR launchd (8)
or
.BR systemd (8).
.TP 5
.BI \-s \ cups-files.conf
Uses the named cups-files.conf configuration file.
.TP 5
.B \-t
Test the configuration file for syntax errors.
.SH FILES
.nf
.I /etc/cups/classes.conf
.I /etc/cups/cups-files.conf
.I /etc/cups/cupsd.conf
.I /usr/share/cups/mime/mime.convs
.I /usr/share/cups/mime/mime.types
.I /etc/cups/printers.conf
.I /etc/cups/subscriptions.conf
.fi
.SH CONFORMING TO
.B cupsd
implements all of the required IPP/2.1 attributes and operations. It also implements several CUPS-specific administrative operations.
.SH EXAMPLES
Run
.B cupsd
in the background with the default configuration file:
.nf

    cupsd

.fi
Test a configuration file called
.IR test.conf :
.nf

    cupsd \-t \-c test.conf

.fi
Run
.B cupsd
in the foreground with a test configuration file called
.IR test.conf :
.nf

    cupsd \-f \-c test.conf

.fi
.SH SEE ALSO
.BR backend (7),
.BR classes.conf (5),
.BR cups (1),
.BR cups-files.conf (5),
.BR cups-lpd (8),
.BR cupsd.conf (5),
.BR cupsd-helper (8),
.BR cupsd-logs (8),
.BR filter (7),
.BR launchd (8),
.BR mime.convs (5),
.BR mime.types (5),
.BR printers.conf (5),
.BR systemd (8),
CUPS Online Help (http://localhost:631/help)
.SH COPYRIGHT
Copyright \[co] 2007-2017 by Apple Inc.
