.\"
.\" lpoptions man page for CUPS.
.\"
.\" Copyright 2007-2014 by Apple Inc.
.\" Copyright 1997-2006 by Easy Software Products.
.\"
.\" These coded instructions, statements, and computer programs are the
.\" property of Apple Inc. and are protected by Federal copyright
.\" law.  Distribution and use rights are outlined in the file "LICENSE.txt"
.\" which should have been included with this file.  If this file is
.\" file is missing or damaged, see the license at "http://www.cups.org/".
.\"
.TH lpoptions 1 "CUPS" "12 June 2014" "Apple Inc."
.SH NAME
lpoptions \- display or set printer options and defaults
.SH SYNOPSIS
.B lpoptions
[
.B \-E
] [
.B \-U
.I username
] [
\fB\-h \fIserver\fR[\fB:\fIport\fR]
]
\fB\-d \fIdestination\fR[\fB/\fIinstance\fR]
[
.B \-l
]
.br
.B lpoptions
[
.B \-E
] [
.B \-U
.I username
] [
\fB\-h \fIserver\fR[\fB:\fIport\fR]
] [
\fB\-p \fIdestination\fR[\fB/\fIinstance\fR]
]
\fB\-o \fIoption\fR[\fB=\fIvalue\fR] ...
.br
.B lpoptions
[
.B \-E
] [
.B \-U
.I username
] [
\fB\-h \fIserver\fR[\fB:\fIport\fR]
] [
\fB\-p \fIdestination\fR[\fB/\fIinstance\fR]
]
.B \-r
.I option
.br
.B lpoptions
[
.B \-E
] [
.B \-U
.I username
] [
\fB\-h \fIserver\fR[\fB:\fIport\fR]
]
\fB\-x \fIdestination\fR[\fB/\fIinstance\fR]
.SH DESCRIPTION
\fBlpoptions\fR displays or sets printer options and defaults.
If no printer is specified using the \fI\-p\fR option, the default printer is used as described in
.BR lp (1).
.LP
If no \fI\-l\fR, \fI\-o\fR, or \fI\-r\fR options are specified, the current options are reported on the standard output.
.LP
Options set with the \fBlpoptions\fR command are used by the
.BR lp (1)
and
.BR lpr (1)
commands when submitting jobs.
.LP
When run by the root user, \fBlpoptions\fR gets and sets default options and instances for all users in the \fI/etc/cups/lpoptions\fR file.
Otherwise, the per-user defaults are managed in the \fI~/.cups/lpoptions\fR file.
.SH OPTIONS
\fBlpoptions\fR supports the following options:
.TP 5
.B \-E
Enables encryption when communicating with the CUPS server.
.TP 5
\fB\-U \fIusername\fR
Uses an alternate username.
.TP 5
\fB\-d \fIdestination\fR[\fB/\fIinstance\fR]
Sets the user default printer to \fIdestination\fR.
If \fIinstance\fR is supplied then that particular instance is used.
This option overrides the system default printer for the current user.
.TP 5
\fB\-h \fIserver\fR[\fB:\fIport\fR]
Uses an alternate server.
.TP 5
.B \-l
Lists the printer specific options and their current settings.
.TP 5
\fB\-o \fIoption\fR[\fB=\fIvalue\fR]
Specifies a new option for the named destination.
.TP 5
\fB\-p \fIdestination\fR[\fB/\fIinstance\fR]
Sets the destination and instance, if specified, for any options that follow.
If the named instance does not exist then it is created.
Destinations can only be created using the
.BR lpadmin (8)
program.
.TP 5
\fB\-r \fIoption\fR
Removes the specified option from the named destination.
.TP 5
\fB\-x \fIdestination\fR[\fB/\fIinstance\fR]
Removes the options for the named destination and instance, if specified.
If the named instance does not exist then this does nothing.
Destinations can only be removed using the
.BR lpadmin (8)
command.
.SH FILES
\fI~/.cups/lpoptions\fR - user defaults and instances created by non-root users.
.br
\fI/etc/cups/lpoptions\fR - system-wide defaults and instances created by the root user.
.SH CONFORMING TO
The \fBlpoptions\fR command is unique to CUPS.
.SH SEE ALSO
.BR cancel (1),
.BR lp (1),
.BR lpadmin (8),
.BR lpr (1),
.BR lprm (1),
CUPS Online Help (http://localhost:631/help)
.SH COPYRIGHT
Copyright \[co] 2007-2017 by Apple Inc.
